Index: src/math/sort.c
===================================================================
RCS file: /sources/pspp/pspp/src/math/sort.c,v
retrieving revision 1.10
diff -U3 -r1.10 sort.c
--- src/math/sort.c	10 May 2006 04:11:07 -0000	1.10
+++ src/math/sort.c	4 Jul 2006 06:05:11 -0000
@@ -18,6 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 
 #include "sort.h"
 
@@ -173,7 +174,7 @@
             {
               bool ok = casereader_read_xfer (reader, &cases[i].c);
               if (!ok)
-                abort ();
+                AssertNotReached ();
               cases[i].idx = i;
             }
 
@@ -183,7 +184,7 @@
           for (i = 0; i < case_cnt; i++)
             casefile_append_xfer (dst, &cases[i].c);
           if (casefile_error (dst))
-            abort ();
+            AssertNotReached ();
 
           free (cases);
         }
@@ -368,7 +369,7 @@
   struct record_run *rr;
 
   /* Compose record_run for this run and add to heap. */
-  assert (irs->record_cnt < irs->record_cap - 1);
+  Assert (irs->record_cnt < irs->record_cap - 1);
   rr = irs->records + irs->record_cnt++;
   case_copy (&rr->record, 0, c, 0, irs->xsrt->value_cnt);
   rr->run = irs->run;
@@ -452,8 +453,8 @@
 {
   int i;
 
-  assert (a != NULL);
-  assert (b != NULL);
+  Assert (a != NULL);
+  Assert (b != NULL);
   
   for (i = 0; i < criteria->crit_cnt; i++)
     {
@@ -543,7 +544,7 @@
   struct ccase case_tmp;
   
   /* Extract minimum case from heap. */
-  assert (irs->record_cnt > 0);
+  Assert (irs->record_cnt > 0);
   pop_heap (irs->records, irs->record_cnt--, sizeof *irs->records,
             compare_record_run_minheap, irs);
   record_run = irs->records + irs->record_cnt;
@@ -553,14 +554,14 @@
     return;
 
   /* Start new run if necessary. */
-  assert (record_run->run == irs->run
+  Assert (record_run->run == irs->run
           || record_run->run == irs->run + 1);
   if (record_run->run != irs->run)
     {
       end_run (irs);
       start_run (irs);
     }
-  assert (record_run->run == irs->run);
+  Assert (record_run->run == irs->run);
   irs->case_cnt++;
 
   /* Write to disk. */
@@ -597,7 +598,7 @@
       if (xsrt->runs[idx] == NULL)
         return NULL;
     }
-  assert (xsrt->run_cnt == 1);
+  Assert (xsrt->run_cnt == 1);
   xsrt->run_cnt = 0;
   return xsrt->runs[0];
 }
Index: src/math/linreg/linreg.c
===================================================================
RCS file: /sources/pspp/pspp/src/math/linreg/linreg.c,v
retrieving revision 1.15
diff -U3 -r1.15 linreg.c
--- src/math/linreg/linreg.c	19 May 2006 21:08:20 -0000	1.15
+++ src/math/linreg/linreg.c	4 Jul 2006 06:05:11 -0000
@@ -18,6 +18,9 @@
   Franklin Street, Fifth Floor, Boston, MA 02111-1307, USA.
  */
 
+#include <config.h>
+#include <libpspp/Assert.h>
+
 #include <gsl/gsl_fit.h>
 #include <gsl/gsl_multifit.h>
 
@@ -119,7 +122,7 @@
   for (coef = c->coeff[2]; coef < c->coeff[c->n_coeffs]; coef++)
     {
       tmp = pspp_coeff_get_var (coef, 0);
-      assert (tmp != NULL);
+      Assert (tmp != NULL);
       /* Repeated variables are likely to bunch together, at the end
          of the array. */
       i = result - 1;
Index: src/math/ts/innovations.c
===================================================================
RCS file: /sources/pspp/pspp/src/math/ts/innovations.c,v
retrieving revision 1.10
diff -U3 -r1.10 innovations.c
--- src/math/ts/innovations.c	3 Jul 2006 19:41:20 -0000	1.10
+++ src/math/ts/innovations.c	4 Jul 2006 06:05:11 -0000
@@ -28,12 +28,12 @@
   0-387-97429-6. Sections 5.2, 8.3 and 8.4.
  */
 
+#include <libpspp/Assert.h>
 #include <gsl/gsl_matrix.h>
 #include <gsl/gsl_vector.h>
 #include <gsl/gsl_math.h>
 #include <stdlib.h>
 #include <libpspp/alloc.h>
-#include <libpspp/compiler.h>
 #include <math/coefficient.h>
 #include <math/ts/innovations.h>
 
@@ -85,8 +85,8 @@
   double y;
   int rc = 1;
 
-  assert (data != NULL);
-  assert (est != NULL);
+  Assert (data != NULL);
+  Assert (est != NULL);
   
   for (i = 0; i < data->size1; i++)
     {
@@ -274,7 +274,7 @@
 {
   size_t i;
 
-  assert (est != NULL);
+  Assert (est != NULL);
   free (est->cov);
   free (est->scale);
   for (i = 0; i < (size_t) est->max_lag; i++)
@@ -287,7 +287,7 @@
 {
   size_t i;
 
-  assert (est != NULL);
+  Assert (est != NULL);
   for (i = 0; i < n; i++)
     {
       pspp_innovations_free_one (est[i]);
Index: src/output/afm.c
===================================================================
RCS file: /sources/pspp/pspp/src/output/afm.c,v
retrieving revision 1.3
diff -U3 -r1.3 afm.c
--- src/output/afm.c	9 Jun 2006 22:51:24 -0000	1.3
+++ src/output/afm.c	4 Jul 2006 06:05:11 -0000
@@ -18,6 +18,8 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
+
 #include "afm.h"
 #include "c-ctype.h"
 #include "c-strtod.h"
@@ -913,7 +915,7 @@
 static int
 value_to_ascii85 (int value) 
 {
-  assert (value >= 0 && value < 85);
+  Assert (value >= 0 && value < 85);
 #if C_CTYPE_ASCII
   return value + 33;
 #else
@@ -1146,7 +1148,7 @@
           break;
       
         default:
-          abort ();
+          AssertNotReached ();
         }
       binary_finish (&e);
     }
Index: src/output/ascii.c
===================================================================
RCS file: /sources/pspp/pspp/src/output/ascii.c,v
retrieving revision 1.9
diff -U3 -r1.9 ascii.c
--- src/output/ascii.c	9 Jun 2006 22:51:24 -0000	1.9
+++ src/output/ascii.c	4 Jul 2006 06:05:11 -0000
@@ -18,6 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 
 #include <ctype.h>
 #include <errno.h>
@@ -323,7 +324,7 @@
 	    this->width = arg;
 	    break;
 	  default:
-	    abort ();
+	    AssertNotReached ();
 	  }
       }
       break;
@@ -365,7 +366,7 @@
 	    x->tab_width = arg;
 	    break;
 	  default:
-	    abort ();
+	    AssertNotReached ();
 	  }
       }
       break;
@@ -395,12 +396,12 @@
             x->squeeze_blank_lines = setting;
             break;
 	  default:
-	    abort ();
+	    AssertNotReached ();
 	  }
       }
       break;
     default:
-      abort ();
+      AssertNotReached ();
     }
 
   return true;
@@ -464,7 +465,7 @@
   int y;
   unsigned short value;
 
-  assert (this->page_open);
+  Assert (this->page_open);
 #if DEBUGGING
   if (x0 < 0 || x1 > this->width || y0 < 0 || y1 > this->length)
     {
@@ -511,7 +512,7 @@
       x += width - length;
       break;
     default:
-      abort ();
+      AssertNotReached ();
     }
 
   if (y >= this->length || x >= this->width)
@@ -604,7 +605,7 @@
 static void
 ascii_text_draw (struct outp_driver *this, const struct outp_text *t)
 {
-  assert (this->page_open);
+  Assert (this->page_open);
   delineate (this, t, true, NULL, NULL);
 }
 
Index: src/output/chart.c
===================================================================
RCS file: /sources/pspp/pspp/src/output/chart.c,v
retrieving revision 1.2
diff -U3 -r1.2 chart.c
--- src/output/chart.c	15 Mar 2006 03:29:11 -0000	1.2
+++ src/output/chart.c	4 Jul 2006 06:05:11 -0000
@@ -24,7 +24,7 @@
 #include <stdarg.h>
 #include <string.h>
 #include <float.h>
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <math.h>
 
 #include "chart.h"
Index: src/output/chart.h
===================================================================
RCS file: /sources/pspp/pspp/src/output/chart.h,v
retrieving revision 1.3
diff -U3 -r1.3 chart.h
--- src/output/chart.h	17 Apr 2006 01:54:15 -0000	1.3
+++ src/output/chart.h	4 Jul 2006 06:05:11 -0000
@@ -18,12 +18,12 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 #include <stdio.h>
 #include <stdarg.h>
 #include <string.h>
 #include <stdio.h>
 #include <float.h>
-#include <assert.h>
 #include <math.h>
 
 #include <math/chart-geometry.h>
Index: src/output/html.c
===================================================================
RCS file: /sources/pspp/pspp/src/output/html.c,v
retrieving revision 1.12
diff -U3 -r1.12 html.c
--- src/output/html.c	3 Jul 2006 17:39:07 -0000	1.12
+++ src/output/html.c	4 Jul 2006 06:05:11 -0000
@@ -18,6 +18,8 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
+
 #include "chart.h"
 #include "htmlP.h"
 #include <errno.h>
@@ -183,11 +185,11 @@
           error (0, 0, _("`chart-files' value must contain `#'"));
           break;
         default:
-          abort ();
+          AssertNotReached ();
         }
       break;
     default:
-      abort ();
+      AssertNotReached ();
     }
   
   return true;
@@ -201,7 +203,7 @@
   extern struct som_table_class tab_table_class;
   struct html_driver_ext *x = this->ext;
   
-  assert (s->class == &tab_table_class ) ;
+  Assert (s->class == &tab_table_class ) ;
 
   switch (s->type) 
     {
@@ -212,7 +214,7 @@
       link_image (x->file, ((struct chart *)s->ext)->file_name);
       break;
     default:
-      abort ();
+      AssertNotReached ();
     }
 }
 
Index: src/output/manager.c
===================================================================
RCS file: /sources/pspp/pspp/src/output/manager.c,v
retrieving revision 1.8
diff -U3 -r1.8 manager.c
--- src/output/manager.c	14 May 2006 20:11:50 -0000	1.8
+++ src/output/manager.c	4 Jul 2006 06:05:11 -0000
@@ -18,6 +18,9 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
+
+
 #include "manager.h"
 #include <stdio.h>
 #include <stdlib.h>
@@ -94,7 +97,7 @@
 #if DEBUGGING
   static int entry;
   
-  assert (entry++ == 0);
+  Assert (entry++ == 0);
 #endif
 
   if ( t->type == SOM_TABLE) 
@@ -110,7 +113,7 @@
 	{
 	  printf ("headers: (l,r)=(%d,%d), (t,b)=(%d,%d) in table size (%d,%d)\n",
 		  hl, hr, ht, hb, nc, nr);
-	  abort ();
+	  AssertNotReached ();
 	}
       else if (hl + hr == nc)
 	printf ("warning: headers (l,r)=(%d,%d) in table width %d\n", hl, hr, nc);
@@ -134,7 +137,7 @@
   }
   
 #if DEBUGGING
-  assert (--entry == 0);
+  Assert (--entry == 0);
 #endif
 }
 
@@ -193,8 +196,8 @@
   int max_len = 0;
   int index = 0;
   
-  assert (cs == SOM_COL_DOWN);
-  assert (d->cp_x == 0);
+  Assert (cs == SOM_COL_DOWN);
+  Assert (d->cp_x == 0);
 
   for (y0 = ht; y0 < nr - hb; y0 = y1)
     {
@@ -204,7 +207,7 @@
 
       if (y0 == y1)
 	{
-	  assert (d->cp_y);
+	  Assert (d->cp_y);
 	  outp_eject_page (d);
 	}
       else
@@ -236,8 +239,8 @@
 static void
 render_simple (void)
 {
-  assert (d->cp_x == 0);
-  assert (tw < d->width && th + d->cp_y < d->length);
+  Assert (d->cp_x == 0);
+  Assert (tw < d->width && th + d->cp_y < d->length);
 
   t->class->title (0, 0);
   t->class->render (hl, ht, nc - hr, nr - hb);
@@ -253,7 +256,7 @@
   int x_index;
   int x0, x1;
   
-  assert (d->cp_x == 0);
+  Assert (d->cp_x == 0);
 
   for (x_index = 0, x0 = hl; x0 < nc - hr; x0 = x1, x_index++)
     {
@@ -277,7 +280,7 @@
 
 	  if (y0 == y1)
 	    {
-	      assert (d->cp_y);
+	      Assert (d->cp_y);
 	      outp_eject_page (d);
 	    }
           else
Index: src/output/output.c
===================================================================
RCS file: /sources/pspp/pspp/src/output/output.c,v
retrieving revision 1.14
diff -U3 -r1.14 output.c
--- src/output/output.c	9 Jun 2006 22:51:24 -0000	1.14
+++ src/output/output.c	4 Jul 2006 06:05:11 -0000
@@ -18,6 +18,8 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
+
 #include "output.h"
 #include <stdlib.h>
 #include <stdio.h>
@@ -779,7 +781,7 @@
       for (c = outp_class_list; c; c = c->next)
 	if (c->class == d->class)
 	  break;
-      assert (c != NULL);
+      Assert (c != NULL);
     }
   free (d->name);
 
Index: src/output/postscript.c
===================================================================
RCS file: /sources/pspp/pspp/src/output/postscript.c,v
retrieving revision 1.18
diff -U3 -r1.18 postscript.c
--- src/output/postscript.c	9 Jun 2006 22:51:24 -0000	1.18
+++ src/output/postscript.c	4 Jul 2006 06:05:12 -0000
@@ -18,6 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 
 #include <ctype.h>
 #include <errno.h>
@@ -374,7 +375,7 @@
 	    this->font_height = arg;
 	    break;
 	  default:
-	    abort ();
+	    AssertNotReached ();
 	  }
       }
       break;
@@ -400,7 +401,7 @@
 	    x->line_width = dimension;
 	    break;
 	  default:
-	    abort ();
+	    AssertNotReached ();
 	  }
       }
       break;
@@ -417,7 +418,7 @@
       }
       break;
     default:
-      abort ();
+      AssertNotReached ();
     }
 
   return true;
@@ -608,7 +609,7 @@
     case SOM_CHART:
       break;
     default:
-      abort ();
+      AssertNotReached ();
       break;
     }
 }
@@ -1083,7 +1084,7 @@
 static void
 ps_text_draw (struct outp_driver *this, const struct outp_text *t)
 {
-  assert (this->page_open);
+  Assert (this->page_open);
   text (this, t, true, NULL, NULL);
 }
 
Index: src/output/table.c
===================================================================
RCS file: /sources/pspp/pspp/src/output/table.c,v
retrieving revision 1.9
diff -U3 -r1.9 table.c
--- src/output/table.c	2 Jul 2006 05:44:25 -0000	1.9
+++ src/output/table.c	4 Jul 2006 06:05:12 -0000
@@ -18,6 +18,8 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
+
 #include "table.h"
 #include <ctype.h>
 #include <stdarg.h>
@@ -85,7 +87,7 @@
 void
 tab_destroy (struct tab_table *t)
 {
-  assert (t != NULL);
+  Assert (t != NULL);
   pool_destroy (t->container);
 }
 
@@ -95,15 +97,15 @@
 void
 tab_resize (struct tab_table *t, int nc, int nr)
 {
-  assert (t != NULL);
+  Assert (t != NULL);
   if (nc != -1)
     {
-      assert (nc + t->col_ofs <= t->cf);
+      Assert (nc + t->col_ofs <= t->cf);
       t->nc = nc + t->col_ofs;
     }
   if (nr != -1)
     {
-      assert (nr + t->row_ofs <= t->nr);
+      Assert (nr + t->row_ofs <= t->nr);
       t->nr = nr + t->row_ofs;
     }
 }
@@ -119,7 +121,7 @@
 {
   int ro, co;
   
-  assert (t != NULL);
+  Assert (t != NULL);
   ro = t->row_ofs;
   co = t->col_ofs;
   if (ro || co)
@@ -130,7 +132,7 @@
   if (nr == -1)
     nr = t->nr;
   
-  assert (nc == t->nc);
+  Assert (nc == t->nc);
   
   if (nc > t->cf)
     {
@@ -187,11 +189,11 @@
 void
 tab_headers (struct tab_table *table, int l, int r, int t, int b)
 {
-  assert (table != NULL);
-  assert (l < table->nc);
-  assert (r < table->nc);
-  assert (t < table->nr);
-  assert (b < table->nr);
+  Assert (table != NULL);
+  Assert (l < table->nc);
+  Assert (r < table->nc);
+  Assert (t < table->nr);
+  Assert (b < table->nr);
 
 
   table->l = l;
@@ -208,7 +210,7 @@
 void
 tab_columns (struct tab_table *t, int style, int group)
 {
-  assert (t != NULL);
+  Assert (t != NULL);
   t->col_style = style;
   t->col_group = group;
 }
@@ -220,7 +222,7 @@
 void
 tab_vline (struct tab_table *t, int style, int x, int y1, int y2)
 {
-  assert (t != NULL);
+  Assert (t != NULL);
 
 #if DEBUGGING
   if (x + t->col_ofs < 0 || x + t->col_ofs > t->nc
@@ -241,11 +243,11 @@
   y1 += t->row_ofs;
   y2 += t->row_ofs;
 
-  assert (x  > 0);
-  assert (x  < t->nc);
-  assert (y1 >= 0);
-  assert (y2 >= y1);
-  assert (y2 <=  t->nr);
+  Assert (x  > 0);
+  Assert (x  < t->nc);
+  Assert (y1 >= 0);
+  Assert (y2 >= y1);
+  Assert (y2 <=  t->nr);
 
   if (style != -1)
     {
@@ -260,17 +262,17 @@
 void
 tab_hline (struct tab_table * t, int style, int x1, int x2, int y)
 {
-  assert (t != NULL);
+  Assert (t != NULL);
 
   x1 += t->col_ofs;
   x2 += t->col_ofs;
   y += t->row_ofs;
 
-  assert (y >= 0);
-  assert (y < t->nr);
-  assert (x2 >= x1 );
-  assert (x1 >= 0 );
-  assert (x2 < t->nc);
+  Assert (y >= 0);
+  Assert (y < t->nr);
+  Assert (x2 >= x1 );
+  Assert (x1 >= 0 );
+  Assert (x2 < t->nc);
 
   if (style != -1)
     {
@@ -290,7 +292,7 @@
 tab_box (struct tab_table *t, int f_h, int f_v, int i_h, int i_v,
 	 int x1, int y1, int x2, int y2)
 {
-  assert (t != NULL);
+  Assert (t != NULL);
 
 #if DEBUGGING
   if (x1 + t->col_ofs < 0 || x1 + t->col_ofs >= t->nc 
@@ -305,7 +307,7 @@
 	      x2, t->col_ofs, x2 + t->col_ofs,
 	      y2, t->row_ofs, y2 + t->row_ofs,
 	      t->nc, t->nr);
-      abort ();
+      AssertNotReached ();
     }
 #endif
 
@@ -314,12 +316,12 @@
   y1 += t->row_ofs;
   y2 += t->row_ofs;
 
-  assert (x2 >= x1);
-  assert (y2 >= y1);
-  assert (x1 >= 0);
-  assert (y1 >= 0);
-  assert (x2 < t->nc);
-  assert (y2 < t->nr);
+  Assert (x2 >= x1);
+  Assert (y2 >= y1);
+  Assert (x1 >= 0);
+  Assert (y1 >= 0);
+  Assert (x2 < t->nc);
+  Assert (y2 < t->nr);
 
   if (f_h != -1)
     {
@@ -371,7 +373,7 @@
 static struct substring
 text_format (struct tab_table *table, int opt, const char *text, va_list args)
 {
-  assert (table != NULL && text != NULL);
+  Assert (table != NULL && text != NULL);
 
   return ss_cstr (opt & TAT_PRINTF
                   ? pool_vasprintf (table->container, text, args)
@@ -385,7 +387,7 @@
 {
   va_list args;
 
-  assert (t != NULL && title != NULL);
+  Assert (t != NULL && title != NULL);
   va_start (args, title);
   t->title = xvasprintf (title, args);
   va_end (args);
@@ -395,7 +397,7 @@
 void
 tab_dim (struct tab_table *t, tab_dim_func *dim_func)
 {
-  assert (t != NULL && t->dim == NULL);
+  Assert (t != NULL && t->dim == NULL);
   t->dim = dim_func;
 }
 
@@ -408,7 +410,7 @@
 {
   int width;
 
-  assert (t != NULL && c >= 0 && c < t->nc);
+  Assert (t != NULL && c >= 0 && c < t->nc);
   {
     int r;
 
@@ -458,7 +460,7 @@
 {
   int height;
 
-  assert (t != NULL && r >= 0 && r < t->nr);
+  Assert (t != NULL && r >= 0 && r < t->nr);
   
   {
     int c;
@@ -469,7 +471,7 @@
 	unsigned char opt = t->ct[c + r * t->cf];
         int h;
 
-	assert (t->w[c] != NOT_INT);
+	Assert (t->w[c] != NOT_INT);
 	if (opt & (TAB_JOIN | TAB_EMPTY))
 	  continue;
 
@@ -495,7 +497,7 @@
 {
   int i;
 
-  assert (t != NULL);
+  Assert (t != NULL);
   
   for (i = 0; i < t->nc; i++)
     t->w[i] = tab_natural_width (t, d, i);
@@ -515,7 +517,7 @@
 {
   char *contents;
 
-  assert (table != NULL && v != NULL && f != NULL);
+  Assert (table != NULL && v != NULL && f != NULL);
 #if DEBUGGING
   if (c + table->col_ofs < 0 || r + table->row_ofs < 0
       || c + table->col_ofs >= table->nc
@@ -549,12 +551,12 @@
   struct fmt_spec f;
   union value double_value;
 
-  assert (table != NULL && w <= 40);
+  Assert (table != NULL && w <= 40);
   
-  assert (c >= 0);
-  assert (c < table->nc);
-  assert (r >= 0);
-  assert (r < table->nr);
+  Assert (c >= 0);
+  Assert (c < table->nc);
+  Assert (r >= 0);
+  Assert (r < table->nr);
 
   f = make_output_format (FMT_F, w, d);
   
@@ -593,12 +595,12 @@
 {
   va_list args;
 
-  assert (table != NULL && text != NULL);
+  Assert (table != NULL && text != NULL);
 
-  assert (c >= 0 );
-  assert (r >= 0 );
-  assert (c < table->nc);
-  assert (r < table->nr);
+  Assert (c >= 0 );
+  Assert (r >= 0 );
+  Assert (c < table->nc);
+  Assert (r < table->nr);
   
 
 #if DEBUGGING
@@ -629,14 +631,14 @@
 {
   struct tab_joined_cell *j;
 
-  assert (table != NULL && text != NULL);
+  Assert (table != NULL && text != NULL);
 
-  assert (x1 + table->col_ofs >= 0);
-  assert (y1 + table->row_ofs >= 0);
-  assert (y2 >= y1);
-  assert (x2 >= x1);
-  assert (y2 + table->row_ofs < table->nr);
-  assert (x2 + table->col_ofs < table->nc);
+  Assert (x1 + table->col_ofs >= 0);
+  Assert (y1 + table->row_ofs >= 0);
+  Assert (y2 >= y1);
+  Assert (x2 >= x1);
+  Assert (y2 + table->row_ofs < table->nr);
+  Assert (x2 + table->col_ofs < table->nc);
 
 #if DEBUGGING
   if (x1 + table->col_ofs < 0 || x1 + table->col_ofs >= table->nc
@@ -702,7 +704,7 @@
 tab_raw (struct tab_table *table, int c, int r, unsigned opt,
 	 struct substring *string)
 {
-  assert (table != NULL && string != NULL);
+  Assert (table != NULL && string != NULL);
   
 #if DEBUGGING
   if (c + table->col_ofs < 0 || r + table->row_ofs < 0
@@ -772,7 +774,7 @@
 void
 tab_flags (struct tab_table *t, unsigned flags)
 {
-  assert (t != NULL);
+  Assert (t != NULL);
   t->flags = flags;
 }
 
@@ -782,7 +784,7 @@
 {
   struct som_entity s;
 
-  assert (t != NULL);
+  Assert (t != NULL);
   s.class = &tab_table_class;
   s.ext = t;
   s.type = SOM_TABLE;
@@ -799,17 +801,17 @@
 {
   int diff = 0;
 
-  assert (t != NULL);
+  Assert (t != NULL);
 #if DEBUGGING
   if (row < -1 || row >= t->nr)
     {
       printf ("tab_offset(): row=%d in %d-row table\n", row, t->nr);
-      abort ();
+      AssertNotReached ();
     }
   if (col < -1 || col >= t->nc)
     {
       printf ("tab_offset(): col=%d in %d-column table\n", col, t->nc);
-      abort ();
+      AssertNotReached ();
     }
 #endif
 
@@ -827,7 +829,7 @@
 void
 tab_next_row (struct tab_table *t)
 {
-  assert (t != NULL);
+  Assert (t != NULL);
   t->cc += t->cf;
   t->ct += t->cf;
   if (++t->row_ofs >= t->nr)
@@ -842,13 +844,13 @@
 static void
 tabi_table (struct som_entity *table)
 {
-  assert (table != NULL);
-  assert (table->type == SOM_TABLE);
+  Assert (table != NULL);
+  Assert (table->type == SOM_TABLE);
 
   t = table->ext;
   tab_offset (t, 0, 0);
   
-  assert (t->w == NULL && t->h == NULL);
+  Assert (t->w == NULL && t->h == NULL);
   t->w = pool_nalloc (t->container, t->nc, sizeof *t->w);
   t->h = pool_nalloc (t->container, t->nr, sizeof *t->h);
   t->hrh = pool_nmalloc (t->container, t->nr + 1, sizeof *t->hrh);
@@ -870,7 +872,7 @@
     case TAL_2:
       return OUTP_L_DOUBLE;
     default:
-      abort ();
+      AssertNotReached ();
     }
 }
 
@@ -881,7 +883,7 @@
   int c, r;
   int i;
   
-  assert (driver != NULL);
+  Assert (driver != NULL);
   d = driver;
   
   /* Figure out sizes of rules. */
@@ -921,7 +923,7 @@
     t->w[i] = -1;
 #endif
 
-  assert (t->dim != NULL);
+  Assert (t->dim != NULL);
   t->dim (t, d);
 
 #if DEBUGGING
@@ -935,7 +937,7 @@
 	    printf ("Table row %d height not initialized.\n", i);
 	    error = 1;
 	  }
-	assert (t->h[i] > 0);
+	Assert (t->h[i] > 0);
       }
     
     for (i = 0; i < t->nc; i++)
@@ -945,7 +947,7 @@
 	    printf ("Table column %d width not initialized.\n", i);
 	    error = 1;
 	  }
-	assert (t->w[i] > 0);
+	Assert (t->w[i] > 0);
       }
   }
 #endif
@@ -970,7 +972,7 @@
 static void
 tabi_count (int *n_columns, int *n_rows)
 {
-  assert (n_columns != NULL && n_rows != NULL);
+  Assert (n_columns != NULL && n_rows != NULL);
   *n_columns = t->nc;
   *n_rows = t->nr;
 }
@@ -983,7 +985,7 @@
 static void
 tabi_area (int *horiz, int *vert)
 {
-  assert (horiz != NULL && vert != NULL);
+  Assert (horiz != NULL && vert != NULL);
   
   {
     int w, c;
@@ -1007,7 +1009,7 @@
 static void
 tabi_columns (int *style)
 {
-  assert (style != NULL);
+  Assert (style != NULL);
   *style = t->col_style;
 }
 
@@ -1016,7 +1018,7 @@
 static void
 tabi_headers (int *hl, int *hr, int *ht, int *hb)
 {
-  assert (hl != NULL && hr != NULL && ht != NULL && hb != NULL);
+  Assert (hl != NULL && hr != NULL && ht != NULL && hb != NULL);
   *hl = t->l;
   *hr = t->r;
   *ht = t->t;
@@ -1038,10 +1040,10 @@
   int *r;
   int total;
   
-  assert (end != NULL && (cumtype == SOM_ROWS || cumtype == SOM_COLUMNS));
+  Assert (end != NULL && (cumtype == SOM_ROWS || cumtype == SOM_COLUMNS));
   if (cumtype == SOM_ROWS)
     {
-      assert (start >= 0 && start < t->nr);
+      Assert (start >= 0 && start < t->nr);
       n = t->nr - t->b;
       d = &t->h[start];
       r = &t->hrh[start + 1];
@@ -1049,7 +1051,7 @@
     }
   else
     {
-      assert (start >= 0 && start < t->nc);
+      Assert (start >= 0 && start < t->nc);
       n = t->nc - t->r;
       d = &t->w[start];
       r = &t->wrv[start + 1];
@@ -1093,7 +1095,7 @@
 static void
 tabi_flags (unsigned *flags)
 {
-  assert (flags != NULL);
+  Assert (flags != NULL);
   *flags = t->flags;
 }
 
@@ -1256,7 +1258,7 @@
     case TAB_CENTER:
       return OUTP_CENTER;
     default:
-      abort ();
+      AssertNotReached ();
     }
 }
 
@@ -1275,7 +1277,7 @@
     case TAL_2:
       return OUTP_L_DOUBLE;
     default:
-      abort ();
+      AssertNotReached ();
     }
 }
 
Index: src/output/charts/box-whisker.c
===================================================================
RCS file: /sources/pspp/pspp/src/output/charts/box-whisker.c,v
retrieving revision 1.2
diff -U3 -r1.2 box-whisker.c
--- src/output/charts/box-whisker.c	15 Mar 2006 03:29:11 -0000	1.2
+++ src/output/charts/box-whisker.c	4 Jul 2006 06:05:12 -0000
@@ -19,7 +19,7 @@
 
 
 #include <math.h>
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <libpspp/misc.h>
 
 #include <output/charts/box-whisker.h>
@@ -105,7 +105,7 @@
   const double box_top = 
     ch->data_bottom + ( hinge[2] - ch->y_min ) * ch->ordinate_scale;
 
-  assert(m);
+  Assert (m);
 
   /* Can't really draw a boxplot if there's no data */
   if ( n_data == 0 ) 
Index: src/output/charts/cartesian.c
===================================================================
RCS file: /sources/pspp/pspp/src/output/charts/cartesian.c,v
retrieving revision 1.4
diff -U3 -r1.4 cartesian.c
--- src/output/charts/cartesian.c	4 Apr 2006 12:43:22 -0000	1.4
+++ src/output/charts/cartesian.c	4 Jul 2006 06:05:12 -0000
@@ -19,7 +19,7 @@
 
 
 #include <math.h>
-#include <assert.h>
+#include <libpspp/Assert.h>
 
 #include <output/chart.h>
 
Index: src/output/charts/piechart.c
===================================================================
RCS file: /sources/pspp/pspp/src/output/charts/piechart.c,v
retrieving revision 1.2
diff -U3 -r1.2 piechart.c
--- src/output/charts/piechart.c	15 Mar 2006 03:29:11 -0000	1.2
+++ src/output/charts/piechart.c	4 Jul 2006 06:05:12 -0000
@@ -22,7 +22,7 @@
 #include <config.h>
 
 #include <float.h>
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <math.h>
 #include <stdio.h>
 
@@ -154,8 +154,8 @@
   const double stop_y   = 
     y0 + radius * cos(start_angle + segment_angle);
 
-  assert(segment_angle <= 2 * M_PI);
-  assert(segment_angle >= 0);
+  Assert (segment_angle <= 2 * M_PI);
+  Assert (segment_angle >= 0);
 
   if ( segment_angle > M_PI ) 
     {
Index: src/output/charts/plot-chart.c
===================================================================
RCS file: /sources/pspp/pspp/src/output/charts/plot-chart.c,v
retrieving revision 1.3
diff -U3 -r1.3 plot-chart.c
--- src/output/charts/plot-chart.c	4 Apr 2006 12:43:22 -0000	1.3
+++ src/output/charts/plot-chart.c	4 Jul 2006 06:05:12 -0000
@@ -25,7 +25,7 @@
 #include <string.h>
 #include <stdio.h>
 #include <float.h>
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <math.h>
 
 #include <output/charts/plot-chart.h>
@@ -65,7 +65,7 @@
 {
   const int tickSize = 10;
 
-  assert(chart);
+  Assert (chart);
 
   pl_savestate_r(chart->lp);
 
@@ -76,7 +76,7 @@
   else if (orientation == TICK_ORDINATE ) 
       pl_flinerel_r(chart->lp, 0, position, -tickSize, position);
   else
-    assert(0);
+    AssertNotReached ();
 
   if ( label ) {
     char buf[10];
@@ -133,7 +133,7 @@
   const double tick_interval = 
     chart_rounded_tick( (max - min) / (double) ticks);
 
-  assert ( ch );
+  Assert ( ch );
 
 
   ch->x_max = ceil( max / tick_interval ) * tick_interval ; 
Index: src/output/charts/plot-chart.h
===================================================================
RCS file: /sources/pspp/pspp/src/output/charts/plot-chart.h,v
retrieving revision 1.3
diff -U3 -r1.3 plot-chart.h
--- src/output/charts/plot-chart.h	4 Apr 2006 12:43:22 -0000	1.3
+++ src/output/charts/plot-chart.h	4 Jul 2006 06:05:12 -0000
@@ -18,12 +18,13 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
+
 #include <stdio.h>
 #include <stdarg.h>
 #include <string.h>
 #include <stdio.h>
 #include <float.h>
-#include <assert.h>
 #include <math.h>
 
 
Index: src/output/charts/plot-hist.c
===================================================================
RCS file: /sources/pspp/pspp/src/output/charts/plot-hist.c,v
retrieving revision 1.2
diff -U3 -r1.2 plot-hist.c
--- src/output/charts/plot-hist.c	15 Mar 2006 03:29:11 -0000	1.2
+++ src/output/charts/plot-hist.c	4 Jul 2006 06:05:12 -0000
@@ -25,7 +25,7 @@
 #include <math.h>
 #include <gsl/gsl_histogram.h>
 #include <gsl/gsl_randist.h>
-#include <assert.h>
+#include <libpspp/Assert.h>
 
 #include <output/charts/plot-hist.h>
 #include <output/charts/plot-chart.h>
@@ -82,9 +82,9 @@
     const double width = (ch->data_right - ch->data_left) / (double) bins ;
 
 
-    assert ( 0 == gsl_histogram_get_range(hist, bar, &lower, &upper));
+    Assert ( 0 == gsl_histogram_get_range(hist, bar, &lower, &upper));
 
-    assert( upper >= lower);
+    Assert ( upper >= lower);
 
     height = gsl_histogram_get(hist, bar) * 
       (ch->data_top - ch->data_bottom) / gsl_histogram_max_val(hist);
@@ -159,7 +159,7 @@
     gsl_histogram_get_range(hist, 0, &x_min, &not_used);
     range = not_used - x_min;
     gsl_histogram_get_range(hist, bins - 1, &not_used, &x_max);
-    assert(range == x_max - not_used);
+    Assert (range == x_max - not_used);
 
     abscissa_scale = (ch->data_right - ch->data_left) / (x_max - x_min);
     ordinate_scale = (ch->data_top - ch->data_bottom) / 
Index: src/ui/gui/psppire.c
===================================================================
RCS file: /sources/pspp/pspp/src/ui/gui/psppire.c,v
retrieving revision 1.15
diff -U3 -r1.15 psppire.c
--- src/ui/gui/psppire.c	4 Jul 2006 01:24:59 -0000	1.15
+++ src/ui/gui/psppire.c	4 Jul 2006 06:05:12 -0000
@@ -18,7 +18,7 @@
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
    02110-1301, USA. */
 
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <libintl.h>
 
 #include <libpspp/version.h>
Index: src/ui/terminal/command-line.c
===================================================================
RCS file: /sources/pspp/pspp/src/ui/terminal/command-line.c,v
retrieving revision 1.5
diff -U3 -r1.5 command-line.c
--- src/ui/terminal/command-line.c	25 Apr 2006 18:03:03 -0000	1.5
+++ src/ui/terminal/command-line.c	4 Jul 2006 06:05:12 -0000
@@ -18,6 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 #include "command-line.h"
 #include <libpspp/message.h>
 #include <ctype.h>
@@ -180,7 +181,7 @@
 	case 0:
 	  break;
 	default:
-	  assert (0);
+	  AssertNotReached ();
 	}
     }
 
Index: src/ui/terminal/read-line.c
===================================================================
RCS file: /sources/pspp/pspp/src/ui/terminal/read-line.c,v
retrieving revision 1.8
diff -U3 -r1.8 read-line.c
--- src/ui/terminal/read-line.c	28 Jun 2006 05:49:03 -0000	1.8
+++ src/ui/terminal/read-line.c	4 Jul 2006 06:05:12 -0000
@@ -23,7 +23,7 @@
 
 #include <stdlib.h>
 #include <stdbool.h>
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <errno.h>
 
 #include "msg-ui.h"
@@ -123,7 +123,7 @@
   char *string;
 #endif
   
-  assert (initialised);
+  Assert (initialised);
 
   reset_msg_count ();
 
Index: tests/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/tests/automake.mk,v
retrieving revision 1.7
diff -U3 -r1.7 automake.mk
--- tests/automake.mk	1 Jul 2006 22:34:27 -0000	1.7
+++ tests/automake.mk	4 Jul 2006 06:05:12 -0000
@@ -110,6 +110,15 @@
 
 noinst_PROGRAMS += tests/libpspp/ll-test tests/libpspp/llx-test
 
+
+tests_libpspp_ll_test_LDADD = \
+	$(top_builddir)/src/libpspp/libpspp.a \
+	$(top_builddir)/gl/libgl.a	
+
+tests_libpspp_llx_test_LDADD = \
+	$(top_builddir)/src/libpspp/libpspp.a \
+	$(top_builddir)/gl/libgl.a	
+
 tests_libpspp_ll_test_SOURCES = \
 	src/libpspp/ll.c \
 	src/libpspp/ll.h \
@@ -122,6 +131,8 @@
 	src/libpspp/llx.h \
 	tests/libpspp/llx-test.c
 
+
+
 EXTRA_DIST += $(TESTS) tests/weighting.data tests/data-list.data tests/list.data \
 	tests/no_case_size.sav \
 	tests/coverage.sh tests/test_template \
